#include <stdio.h>
#include <stdlib.h>

int main()
{
    long long int n;//broj poena
    long long int a;//minimalno za set
    scanf("%lli%lli",&n,&a);
    if(3*a>n)
    {
        printf("-1");
        return 404;
    }
    long long int p=n-2*a;
    if(p>2*a-2)
    {
        long long int q=p/2;
        if(p%2==1)
        {
            printf("%lli %lli\n%lli 1\n%lli 0",q+1,q-1,a,a);
        }
        else
        {
            printf("%lli %lli\n%lli 0\n%lli 0",q+1,q-1,a,a);
        }
    }
    else
    {
        printf("%lli %lli\n%lli 0\n%lli 0",a,n-3*a,a,a);
    }
}